import type { CreateCredentialDefinitionMetadata } from './IndySdkIssuerServiceMetadata';
import type { AnonCredsIssuerService, CreateCredentialDefinitionOptions, CreateCredentialOfferOptions, CreateCredentialOptions, CreateCredentialReturn, CreateSchemaOptions, AnonCredsCredentialOffer, AnonCredsSchema, CreateCredentialDefinitionReturn } from '@aries-framework/anoncreds';
import type { AgentContext } from '@aries-framework/core';
import { IndySdk } from '../../types';
export declare class IndySdkIssuerService implements AnonCredsIssuerService {
    private indySdk;
    constructor(indySdk: IndySdk);
    createSchema(agentContext: AgentContext, options: CreateSchemaOptions): Promise<AnonCredsSchema>;
    createCredentialDefinition(agentContext: AgentContext, options: CreateCredentialDefinitionOptions, metadata?: CreateCredentialDefinitionMetadata): Promise<CreateCredentialDefinitionReturn>;
    createCredentialOffer(agentContext: AgentContext, options: CreateCredentialOfferOptions): Promise<AnonCredsCredentialOffer>;
    createCredential(agentContext: AgentContext, options: CreateCredentialOptions): Promise<CreateCredentialReturn>;
}
