import type { AnonCredsRevocationRegistryDefinition, AnonCredsRevocationStatusList, AnonCredsProofRequest, AnonCredsSelectedCredentials } from '@aries-framework/anoncreds';
import type { AgentContext } from '@aries-framework/core';
import type { RevStates } from 'indy-sdk';
import { IndySdk } from '../../types';
/**
 * Internal class that handles revocation related logic for the Indy SDK
 *
 * @internal
 */
export declare class IndySdkRevocationService {
    private indySdk;
    constructor(indySdk: IndySdk);
    /**
     * Creates the revocation state for the requested credentials in a format that the Indy SDK expects.
     */
    createRevocationState(agentContext: AgentContext, proofRequest: AnonCredsProofRequest, selectedCredentials: AnonCredsSelectedCredentials, revocationRegistries: {
        [revocationRegistryDefinitionId: string]: {
            tailsFilePath: string;
            definition: AnonCredsRevocationRegistryDefinition;
            revocationStatusLists: {
                [timestamp: string]: AnonCredsRevocationStatusList;
            };
        };
    }): Promise<RevStates>;
    private assertRevocationInterval;
}
