/**
 * NOTE: this file is availalbe in both the indy-sdk and indy-vdr packages. If making changes to
 * this file, make sure to update both files if applicable.
 */
export declare const indySdkAnonCredsRegistryIdentifierRegex: RegExp;
export declare function getDidIndySchemaId(namespace: string, unqualifiedDid: string, name: string, version: string): string;
export declare function getLegacySchemaId(unqualifiedDid: string, name: string, version: string): string;
export declare function getLegacyCredentialDefinitionId(unqualifiedDid: string, seqNo: string | number, tag: string): string;
export declare function getDidIndyCredentialDefinitionId(namespace: string, unqualifiedDid: string, seqNo: string | number, tag: string): string;
export declare function getLegacyRevocationRegistryId(unqualifiedDid: string, seqNo: string | number, credentialDefinitionTag: string, revocationRegistryTag: string): string;
export declare function getDidIndyRevocationRegistryId(namespace: string, unqualifiedDid: string, seqNo: string | number, credentialDefinitionTag: string, revocationRegistryTag: string): string;
interface ParsedSchemaId {
    did: string;
    namespaceIdentifier: string;
    schemaName: string;
    schemaVersion: string;
    namespace?: string;
}
export declare function parseSchemaId(schemaId: string): ParsedSchemaId;
interface ParsedCredentialDefinitionId {
    did: string;
    namespaceIdentifier: string;
    schemaSeqNo: string;
    tag: string;
    namespace?: string;
}
export declare function parseCredentialDefinitionId(credentialDefinitionId: string): ParsedCredentialDefinitionId;
interface ParsedRevocationRegistryId {
    did: string;
    namespaceIdentifier: string;
    schemaSeqNo: string;
    credentialDefinitionTag: string;
    revocationRegistryTag: string;
    namespace?: string;
}
export declare function parseRevocationRegistryId(revocationRegistryId: string): ParsedRevocationRegistryId;
export {};
