import type { AgentContext } from '@aries-framework/core';
import { DidDocumentBuilder } from '@aries-framework/core';
export declare function parseIndyDid(did: string): {
    namespace: string;
    namespaceIdentifier: string;
};
export declare function indyDidDocumentFromDid(did: string, publicKeyBase58: string): DidDocumentBuilder;
export declare function createKeyAgreementKey(verkey: string): string;
/**
 * Fetches the verification key for a given did:indy did and returns the key as a {@link Key} object.
 *
 * @throws {@link AriesFrameworkError} if the did could not be resolved or the key could not be extracted
 */
export declare function verificationKeyForIndyDid(agentContext: AgentContext, did: string): Promise<import("@aries-framework/core").Key>;
