import { DidDocumentBuilder } from '@aries-framework/core';
export type DidCommServicesEndpointType = 'endpoint' | 'did-communication' | 'DIDComm';
export interface IndyEndpointAttrib {
    endpoint?: string;
    types?: Array<'endpoint' | 'did-communication' | 'DIDComm'>;
    routingKeys?: string[];
    [key: string]: unknown;
}
/**
 * Get a base did:sov did document based on the provided did and verkey
 * https://sovrin-foundation.github.io/sovrin/spec/did-method-spec-template.html#crud-operation-definitions
 */
export declare function sovDidDocumentFromDid(fullDid: string, verkey: string): DidDocumentBuilder;
export declare function addServicesFromEndpointsAttrib(builder: DidDocumentBuilder, did: string, endpoints: IndyEndpointAttrib, keyAgreementId: string): void;
